Library Version 18.1.40

is_directdb_get
Prev | Chapter 10. Db_base_iterator | Next

## is_directdb_get

### Function Details

    bool is_directdb_get() const

Get direct database get setting.

Return true if every operation to retrieve the key/data pair the iterator points to will read from database rather than using the cached value, false otherwise.

### Class

db_base_iterator

Prev | Up | Next
is_rmw | Home | Chapter 11. Iterator Classes for db_vector